Subject: bug#17080: [PATCH] egrep, fgrep: go back to shell scripts

From: [email-masked]
Date: Thu, 27 Mar 2014 13:34:28 -0600

Paul Eggert <[email-masked]> wrote:

> On 03/27/2014 10:53 AM, Eli Zaretskii wrote:
> > using shell scripts will be bad news for any
> > system that doesn't use a Unix shell
>
> So, we're talking about users who want the circa-1977 Unix interface for 
> 'grep' but who refuse to install a Unix-like shell anywhere on their 
> system?  If there's need to support that, I suppose someone could write 
> and test an egrep.c that mimicks what the egrep shell script does.  I'd 
> be open to such a change, though to be honest it sounds low-priority.
>
>

Consider MinGW and/or VMS and/or z/OS (OS/390).  In some cases, "a Unix-like
shell" isn't an option.

Thanks,

Arnold